#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 25. X Libraries

- Prev

  FLTK-1.3.5

- Next

  gdk-pixbuf-2.42.2

- Up
- Home

# Freeglut-3.2.1

## Introduction to Freeglut

Freeglut is intended to be a 100% compatible, completely opensourced clone of the GLUT library. GLUT is a window system independent toolkit for writing OpenGL programs, implementing a simple windowing API, which makes learning about and exploring OpenGL programming very easy.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/freeglut/freeglut-3.2.1.tar.gz

- Download MD5 sum: cd5c670c1086358598a6d4a9d166949d

- Download size: 432 KB

- Estimated disk space required: 5.0 MB

- Estimated build time: less than 0.1 SBU

### Additional Downloads

- Required patch: http://www.linuxfromscratch.org/patches/blfs/10.1/freeglut-3.2.1-gcc10_fix-1.patch

### Freeglut Dependencies

#### Required

CMake-3.19.5 and Mesa-20.3.4

#### Recommended

GLU-9.0.1

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/freeglut

## Installation of Freeglut

First, fix an issue with multiple defined symbols exposed by GCC-10:

    patch -Np1 -i ../freeglut-3.2.1-gcc10_fix-1.patch

Install Freeglut by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr       \
          -DCMAKE_BUILD_TYPE=Release        \
          -DFREEGLUT_BUILD_DEMOS=OFF        \
          -DFREEGLUT_BUILD_STATIC_LIBS=OFF  \
          -Wno-dev .. &&

    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DFREEGLUT_BUILD_DEMOS=OFF`: Disable building optional demo programs. Note that if you choose to build them, their installation must be done manually. The demo programs are limited and installation is not recommended.

`-DFREEGLUT_BUILD_STATIC_LIBS=OFF`: Do not build the static library.

## Contents

Installed Programs: None
Installed Library: libglut.so
Installed Directories: None

### Short Descriptions

`libglut.so` | contains functions that implement the OpenGL Utility Toolkit

Last updated on 2021-02-21 11:05:24 -0800

- Prev

  FLTK-1.3.5

- Next

  gdk-pixbuf-2.42.2

- Up
- Home